.AUTODEPEND

#		*Translator Definitions*
CC = bcc +CSCOPE.CFG
TASM = TASM
TLIB = tlib
TLINK = tlink
LIBPATH = ..\CURSES;C:\BC\LIB
INCLUDEPATH = ..\CURSES;C:\BC\INCLUDE


#		*Implicit Rules*
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

#		*List Macros*


EXE_dependencies =  \
 c:\bc\lib\wildargs.obj \
 alloc.obj \
 basename.obj \
 command.obj \
 compath.obj \
 crossref.obj \
 dir.obj \
 display.obj \
 edit.obj \
 egrep.obj \
 exec.obj \
 find.obj \
 getwd.obj \
 help.obj \
 history.obj \
 input.obj \
 invlib.obj \
 logdir.obj \
 lookup.obj \
 main.obj \
 menu.obj \
 mouse.obj \
 mygetenv.obj \
 mygetwd.obj \
 regcmp.obj \
 regex.obj \
 scanner.obj \
 scan2.obj \
 vpaccess.obj \
 vpfopen.obj \
 vpinit.obj \
 vpopen.obj \
 vpstat.obj \
 ..\curses\curses_h.lib \
 ..\liblex\liblex.lib

#		*Explicit Rules*
cscope.exe: cscope.cfg $(EXE_dependencies)
  $(TLINK) /v/x/c/P-/L$(LIBPATH) @&&|
c0h.obj+
c:\bc\lib\wildargs.obj+
alloc.obj+
basename.obj+
command.obj+
compath.obj+
crossref.obj+
dir.obj+
display.obj+
edit.obj+
egrep.obj+
exec.obj+
find.obj+
getwd.obj+
help.obj+
history.obj+
input.obj+
invlib.obj+
logdir.obj+
lookup.obj+
main.obj+
menu.obj+
mouse.obj+
mygetenv.obj+
mygetwd.obj+
regcmp.obj+
regex.obj+
scanner.obj+
scan2.obj+
vpaccess.obj+
vpfopen.obj+
vpinit.obj+
vpopen.obj+
vpstat.obj
cscope
		# no map file
..\curses\curses_h.lib+
..\liblex\liblex.lib+
emu.lib+
mathh.lib+
ch.lib
|


#		*Individual File Dependencies*
alloc.obj: cscope.cfg alloc.c 

basename.obj: cscope.cfg basename.c 

command.obj: cscope.cfg command.c 

compath.obj: cscope.cfg compath.c 

crossref.obj: cscope.cfg crossref.c 

dir.obj: cscope.cfg dir.c 

display.obj: cscope.cfg display.c 

edit.obj: cscope.cfg edit.c 

egrep.obj: cscope.cfg egrep.c 

exec.obj: cscope.cfg exec.c 

find.obj: cscope.cfg find.c 

getwd.obj: cscope.cfg getwd.c 

help.obj: cscope.cfg help.c 

history.obj: cscope.cfg history.c 

input.obj: cscope.cfg input.c 

invlib.obj: cscope.cfg invlib.c 

logdir.obj: cscope.cfg logdir.c 

lookup.obj: cscope.cfg lookup.c 

main.obj: cscope.cfg main.c 

menu.obj: cscope.cfg menu.c 

mouse.obj: cscope.cfg mouse.c 

mygetenv.obj: cscope.cfg mygetenv.c 

mygetwd.obj: cscope.cfg mygetwd.c 

regcmp.obj: cscope.cfg regcmp.c 

regex.obj: cscope.cfg regex.c 

scanner.obj: cscope.cfg scanner.c 

scan2.obj: cscope.cfg scan2.c 

vpaccess.obj: cscope.cfg vpaccess.c 

vpfopen.obj: cscope.cfg vpfopen.c 

vpinit.obj: cscope.cfg vpinit.c 

vpopen.obj: cscope.cfg vpopen.c 

vpstat.obj: cscope.cfg vpstat.c 

############################################################
# This is setup for compiling for a 80386 processor.  To make
# for:
#	8086:	remove the -3 option
#	80186:	change the -3 to -1
#	80286:	change the -3 to -2
#
# Model is HUGE 'cause I didn't want to work any harder doing
# this port to DOS than I had to...
############################################################

#		*Compiler Configuration File*
cscope.cfg: makefile.dos
  copy &&|
-R
-mh
-3
-N
-v
-y
-G
-O
-Og
-Oe
-Om
-Ov
-Ol
-Ob
-Op
-Oi
-Z
-h
-b-
-vi-
-H=CSCOPE.SYM
-wbbf
-wamb
-wamp
-wasm
-wcln
-wdef
-wsig
-wnod
-w-sus
-w-rch
-w-rpt
-wstv
-weas
-wpre
-w-ccc
-I$(INCLUDEPATH)
-L$(LIBPATH)
-DTERMINFO=1
-P-.C
| cscope.cfg


