/*
 *   Copyright (C) 1988-2006 Lucent Technologies Inc. and others.
 *   All Rights Reserved.
 */

/* vpstat - view path version of the stat system call */
#ifdef __BORLANDC__
#include <stdio.h>
#endif

#include <sys/types.h>
#include <sys/stat.h>
#include "vp.h"

vpstat(path, statp)
char	*path;
struct	stat *statp;
{
	char	buf[MAXPATH + 1];
	int	returncode;
	int	i;

#if defined(__BORLANDC__) || defined(FOR_WIN32)
	if ((returncode = stat(compath(path),statp)) == -1 && path[0] != '/' &&
		path[0] != '\\' && path[1] != ':') {
#else
	if ((returncode = stat(path, statp)) == -1 && path[0] != '/') {
#endif
		vpinit((char *) 0);
		for (i = 1; i < vpndirs; i++) {
			(void) sprintf(buf, "%s/%s", vpdirs[i], path);
			if ((returncode = stat(compath(buf), statp)) != -1) {
				break;
			}
		}
	}
	return(returncode);
}
